﻿using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.Data.Sqlite;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;

namespace EfCore2Learn
{
    class User
    {
        [Key, DatabaseGeneratedAttribute(DatabaseGeneratedOption.Identity)]
        public int Id { set; get; }

        [MaxLength(50), Required]
        public string Name { set; get; }
    }

    class MyContext : DbContext
    {
        public DbSet<User> Set_User { set; get; }

        protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
        {
            string cntString = "Data Source=MyTestDb.db";
            optionsBuilder.UseSqlite(cntString);
        }
    }

    class APP
    {
        public APP()
        {
            string inputStr = "";
            inputStr = Console.ReadLine();
            while (inputStr != "quit")
            {
                using (MyContext Db = new MyContext())
                {
                    User iUser = new User();
                    iUser.Name = inputStr;
                    Db.Set_User.Add(iUser);
                    Db.SaveChanges();
                }

                inputStr = Console.ReadLine();
            }
        }
    }

    class Program
    {
        static void Main(string[] args)
        {
            APP App = new APP();
        }
    }
}
